import r from "classnames";
import n from "react";
import { LoadingBarIcon as l } from "./accelbyte-widgets342.mjs";
import e from "./accelbyte-widgets343.mjs";
const s = {
  tall: e.tall,
  medium: e.medium
};
e.overlay, e.fullScreen, e.transparent;
const t = (a) => {
  switch (a) {
    case "BAR":
      return /* @__PURE__ */ n.createElement(l, null);
    case "SPINNER":
      return /* @__PURE__ */ n.createElement("div", { className: e.spinner });
    default:
      return /* @__PURE__ */ n.createElement(l, null);
  }
}, d = (a) => /* @__PURE__ */ n.createElement("div", { className: r(e.loading, a.className) }, t(a.loadingType), a.children && /* @__PURE__ */ n.createElement("div", { className: "children" }, a.children));
export {
  d as Loading,
  s as LoadingSize
};
